%define namebasebase lpsolve
%define namebase %{namebasebase}55
%define verbase 5.5
%define version %{verbase}.2.0
%define unmangled_version %{version}
%define release 2

Summary: Linear Program Solver, Interface to lpsolve
Name: python-%{namebase}
Version: %{version}
Release: %mkrel %{release}
Source0: http://garr.dl.sourceforge.net/project/lpsolve/lpsolve/%{version}/lp_solve_%{version}_Python_source.tar.gz
License: LGPLv2+
Group: Development/Python
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
Url: http://www.peno.be/
BuildRequires: lpsolve-devel
BuildRequires: python-devel

%description
Python bindings for lpsolve 5.5, a Linear programming package.

%prep
%setup -q -n lp_solve_%{verbase}/extra/Python

%build
export CPATH="/usr/include/lpsolve"
env CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
export CPATH="/usr/include/lpsolve"
python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%py_platsitedir/lp_solve.py
%py_platsitedir/lp_maker.py
%py_platsitedir/lpsolve55.so
%py_platsitedir/lpsolve55-5.5.0.9-py2.7.egg-info


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 5.5.2.0-2.mga3
+ Revision: 379070
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 18 2012 shlomif <shlomif> 5.5.2.0-1.mga3
+ Revision: 282013
- Fix build with PYTHONDONTWRITE
- Add missing BR
- rpmlint fix
- Fixes
- New version and fixes
- imported package python-lpsolve55

